Subject: Re: Is there some way to suppress Cc email only to stable?

From: Junio C Hamano <[email-masked]>
Date: Mon, 09 Feb 2015 12:57:11 -0800

"Paul E. McKenney" <[email-masked]> writes:

> I need to be able to put the following Cc in a git commit:
>
> Cc: <[email-masked]>
>
> Yet I cannot allow git-send-email to actually send email to that address,
> lest I get an automated nastygram in response.  I found the --to-cmd=
> option to git-send-email, but it looks to only add email addresses, never
> delete them.  I also found the --suppress-cc= option to git-send-email,
> but it appears to suppress all Cc emails, not just selected ones.
>
> One approach that occurred to me is to hand-edit the files produced
> by git-format-patch, removing [email-masked] entirely prior to
> using git-send-email.  However, this is a bit error-prone.  Yes, I could
> script it, but with my luck, I will eventually end up having my script
> mangle some patch, for example to the Linux kernel's MAINTAINERS file.
> Furthermore, this approach means that people reviewing the patches
> cannot see the Cc stable entries (though I could presumably comment them
> out somehow).
>
> Another approach is to add the stable Ccs just before doing the pull
> request, by my upstream maintainer is not fond of that approach.  Nor am
> I, as it would be all to easy to forget to add the stable Ccs.  Or to
> get them wrong.
>
> I can't be the only person wanting to do something like this.  So is
> there some git option that I am missing here?

No, I do not think we have a way to blacklist certain recipient
addresses from getting passed to the MTA, and I do not object to
addition of such a mechanism if there is a valid need to do so.

It feels a bit too convoluted to say "Cc: to this address" in the
log message and then "nonono, I do not want to send there", though.
Why do you want to have Cc: in the log message if you do not want to
send e-mail to that address in the first place?  Allowing the
behaviour you are asking for would mean that those who see that the
commit appeared on a branch would not be able to assume that the
patch has already been sent to the stable review address, no?